Imports System.Data.SqlClient
Imports System.Data

Imports Microsoft.VisualBasic

Public Class Authors

    Public Function getAuthors() As DataSet
        Dim conn As New SqlConnection( _
           ConfigurationManager.ConnectionStrings _
           ("pubsConnectionString").ConnectionString)
        Dim adapter As New SqlDataAdapter( _
           "SELECT au_id, au_fname, au_lname FROM Authors", conn)
        Dim ds As New DataSet
        adapter.Fill(ds, "Authors")
        Return ds
    End Function

    Public Sub updateAuthors(ByVal au_id As String, _
                             ByVal au_fname As String, _
                             ByVal au_lname As String)
        Dim conn As New SqlConnection( _
           ConfigurationManager.ConnectionStrings _
           ("pubsConnectionString").ConnectionString)

        Dim adapter As New SqlDataAdapter( _
             "SELECT au_id, au_fname, au_lname " & _
             "FROM Authors WHERE au_id=@au_id", conn)

        Dim ds As New DataSet
        adapter.SelectCommand.Parameters.Add( _
            "@au_id", SqlDbType.NVarChar, 11).Value = au_id
        adapter.Fill(ds, "Authors")

        With ds.Tables(0).Rows(0)
            .Item("au_fname") = au_fname
            .Item("au_lname") = au_lname
        End With
        Dim cb As New SqlCommandBuilder(adapter)
        adapter.Update(ds, "Authors")
    End Sub

End Class

