Partial Class Roles_aspx
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, _
                            ByVal e As System.EventArgs) _
                            Handles Me.Load
        '---display roles when the page is first loaded
        If Not IsPostBack Then
            Dim allRoles() As String
            allRoles = Roles.GetAllRoles()
            lstRoles.Items.Clear()
            For i As Integer = 0 To allRoles.Length - 1
                lstRoles.Items.Add(allRoles(i).ToString)
            Next
        End If
        '---displays users in selected role
        lstUsers.Items.Clear()
        If lstRoles.SelectedItem IsNot Nothing Then
            Dim allUsersInRole() As String = _
               Roles.GetUsersInRole(lstRoles.SelectedItem.ToString)
            For i As Integer = 0 To allUsersInRole.Length - 1
                lstUsers.Items.Add(allUsersInRole(i).ToString)
            Next
        End If
    End Sub

    Protected Sub btnCreateRole_Click(ByVal sender As Object, _
                                      ByVal e As System.EventArgs) _
                                      Handles btnCreateRole.Click
        Roles.CreateRole(txtRole.Text)
        lstRoles.Items.Add(txtRole.Text)
    End Sub
End Class
