<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="Default_aspx" %>

<%@ Register Assembly="chap03-TranslationWebPart" Namespace="chap03_TranslationWebPart"
    TagPrefix="cc1" %>
<%@ Register TagPrefix="uc2" TagName="CalendarUC" Src="CalendarUC.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Google" Src="Google.ascx" %>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:WebPartManager ID="WebPartManager1" runat="server">
           <StaticConnections>
           
           <asp:WebPartConnection
 ID="Connection"  
             ProviderID="CalendarUC1"
          ProviderConnectionPointID="SelectedDate" 
          ConsumerID="Google1" 
          ConsumerConnectionPointID="SelectedDate" />
        </StaticConnections>

</asp:WebPartManager>


        <table>
            <tr>
                <td style="width: 100px">
                    <asp:WebPartZone title="Today's Date" ID="WebPartZone1" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana" Padding="6" WebPartVerbRenderMode="TitleBar">
                        <PartTitleStyle Font-Size="0.8em" Font-Bold="True" BackColor="#5D7B9D" ForeColor="White" />
                            <PartChromeStyle Font-Names="Verdana" BorderColor="#E2DED6" BackColor="#F7F6F3" ForeColor="White" />
                                                        <EditVerb imageurl="~/Images/EditVerb.GIF"/>
                        <MenuVerbHoverStyle BorderStyle="Solid" BorderWidth="1px" BorderColor="#CCCCCC" BackColor="#F7F6F3"
                            ForeColor="#333333" />
                        <CloseVerb ImageUrl="Images/CloseVerb.GIF" />
                        <ZoneTemplate>
                            <asp:Calendar ID="Calendar1" title="Today's Date" runat="server" Height="200px" BorderColor="#FFCC66"
                                Width="220px" ForeColor="#663399" BackColor="#FFFFCC" BorderWidth="1px" ShowGridLines="True"
                                Font-Names="Verdana" Font-Size="8pt" DayNameFormat="FirstLetter">
                                <SelectedDayStyle Font-Bold="True" BackColor="#CCCCFF" />
                                <SelectorStyle BackColor="#FFCC66" />
                                <OtherMonthDayStyle ForeColor="#CC9966" />
                                <TodayDayStyle ForeColor="White" BackColor="#FFCC66" />
                                <NextPrevStyle ForeColor="#FFFFCC" Font-Size="9pt" />
                                <DayHeaderStyle Height="1px" Font-Bold="True" BackColor="#FFCC66" />
                                <TitleStyle ForeColor="#FFFFCC" Font-Size="9pt" Font-Bold="True" BackColor="#990000" />
                            </asp:Calendar>
                            <cc1:TranslationWebPart ID="TranslationWebPart1" runat="server" />
                            
                        </ZoneTemplate>
                        <MenuLabelHoverStyle ForeColor="#E2DED6" />
                        <MenuVerbStyle BorderStyle="Solid" BorderWidth="1px" BorderColor="#5D7B9D" ForeColor="White" />
                            <RestoreVerb ImageUrl="~/Images/RestoreVerb.GIF" />
                        <VerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                        <HeaderStyle HorizontalAlign="Center" Font-Size="0.7em" ForeColor="#CCCCCC" />
                        <EmptyZoneTextStyle Font-Size="0.8em" />
                        <MinimizeVerb ImageUrl="~/Images/MinimizeVerb.GIF" />
                        <MenuLabelStyle ForeColor="White" />
                        <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                    </asp:WebPartZone>
                </td>
                <td style="width: 100px">
                    <asp:WebPartZone ID="WebPartZone2" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana" Padding="6">
                        <PartTitleStyle Font-Size="0.8em" Font-Bold="True" BackColor="#990000" ForeColor="White" />
                            <PartChromeStyle Font-Names="Verdana" BorderColor="#FFCC66" BackColor="#FFFBD6" ForeColor="#333333" />
                                
                        <MenuVerbHoverStyle BorderStyle="Solid" BorderWidth="1px" BorderColor="#CCCCCC" BackColor="#FFFBD6"
                            ForeColor="#333333" />
                        <ZoneTemplate>
                            <uc1:Google ID="Google1" title="Google Search" runat="server" />
                            
                            <uc2:CalendarUC runat="server" ID="CalendarUC1" />
                            <uc1:Google ID="Google3" runat="server" />
                            
                        </ZoneTemplate>
                        <MenuLabelHoverStyle ForeColor="#FFCC66" />
                        <MenuVerbStyle BorderStyle="Solid" BorderWidth="1px" BorderColor="#990000" ForeColor="White" />
                            <VerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                        <HeaderStyle HorizontalAlign="Center" Font-Size="0.7em" ForeColor="#CCCCCC" />
                        <EmptyZoneTextStyle Font-Size="0.8em" />
                        <MenuLabelStyle ForeColor="White" />
                        <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                    </asp:WebPartZone>
                </td>
                <td style="width: 100px">
                    <asp:WebPartZone ID="WebPartZone3" runat="server">
                                    </asp:WebPartZone>
                </td>
            </tr>
        </table>
        <br />
        <asp:EditorZone ID="EditorZone1" runat="server" BorderColor="#CCCCCC" BackColor="#FFFBD6" BorderWidth="1px" Font-Names="Verdana" Padding="6">
            <HeaderStyle Font-Size="0.8em" Font-Bold="True" BackColor="#FFCC66" ForeColor="#333333" />
                <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
            <HeaderVerbStyle Font-Size="0.8em" Font-Underline="False" Font-Bold="False" ForeColor="#333333" />
                <PartChromeStyle BorderStyle="Solid" BorderWidth="1px" BorderColor="#FFCC66" />
            <ZoneTemplate>
                <asp:AppearanceEditorPart ID="AppearanceEditorPart1" runat="server" />
                <asp:LayoutEditorPart ID="LayoutEditorPart1" runat="server" />
                <asp:PropertyGridEditorPart runat="server" ID="PropertyGridEditorPart1" />
                <asp:BehaviorEditorPart runat="server" ID="BehaviorEditorPart1" />
            </ZoneTemplate>
            <PartStyle BorderColor="#FFFBD6" BorderWidth="5px" />
            <FooterStyle HorizontalAlign="Right" BackColor="#FFCC66" />
            <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <ErrorStyle Font-Size="0.8em" />
            <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <PartTitleStyle Font-Size="0.8em" Font-Bold="True" ForeColor="#333333" />
            <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
        </asp:EditorZone>
        <br />
        <asp:CatalogZone ID="CatalogZone1" runat="server" BorderColor="#CCCCCC" BackColor="#EFF3FB"
            BorderWidth="1px" Font-Names="Verdana" Padding="6">
            <HeaderVerbStyle Font-Size="0.8em" Font-Underline="False" Font-Bold="False" ForeColor="#333333" />
                <PartTitleStyle Font-Size="0.8em" Font-Bold="True" BackColor="#507CD1" ForeColor="White" />
                    <FooterStyle HorizontalAlign="Right" BackColor="#D1DDF1" />
            <PartChromeStyle BorderStyle="Solid" BorderWidth="1px" BorderColor="#D1DDF1" />
            <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <ZoneTemplate>
                <asp:DeclarativeCatalogPart runat="server" ID="DeclarativeCatalogPart1">
                    <WebPartsTemplate>
                        <uc1:Google ID="Google2" Title="Google Search" runat="server" />
                    </WebPartsTemplate>
                </asp:DeclarativeCatalogPart>
                <asp:PageCatalogPart runat="server" ID="PageCatalogPart1" />
                <asp:ImportCatalogPart runat="server" ID="ImportCatalogPart1" />
            </ZoneTemplate>
            <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
            <PartLinkStyle Font-Size="0.8em" />
            <SelectedPartLinkStyle Font-Size="0.8em" />
            <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <HeaderStyle Font-Size="0.8em" Font-Bold="True" BackColor="#D1DDF1" ForeColor="#333333" />
                <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <PartStyle BorderColor="#EFF3FB" BorderWidth="5px" />
            <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
        </asp:CatalogZone>
        <br />
        <asp:ConnectionsZone ID="ConnectionsZone1" runat="server" BorderColor="#CCCCCC" BackColor="#EFF3FB"
            BorderWidth="1px" Font-Names="Verdana" Padding="6" Width="588px">
            <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
            <FooterStyle HorizontalAlign="Right" BackColor="#D1DDF1" />
            <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <HeaderStyle Font-Size="0.8em" Font-Bold="True" BackColor="#D1DDF1" ForeColor="#333333" />
                <HeaderVerbStyle Font-Size="0.8em" Font-Underline="False" Font-Bold="False" ForeColor="#333333" />
        </asp:ConnectionsZone>
 
        <br />
        <asp:RadioButtonList ID="rblMode" runat="server" AutoPostBack="True">
            <asp:ListItem>Browse Display Mode</asp:ListItem>
            <asp:ListItem>Design Display Mode</asp:ListItem>
            <asp:ListItem>Catalog Display Mode</asp:ListItem>
            <asp:ListItem>Edit Display Mode</asp:ListItem>
            <asp:ListItem>Connect Display Mode</asp:ListItem>
        </asp:RadioButtonList>
    
    </div>
    </form>
</body>
</html>
