Partial Class Google_ascx
    Inherits System.Web.UI.UserControl

    Protected Sub btnSearch_Click(ByVal sender As Object, _
                                  ByVal e As System.EventArgs) _
                                  Handles btnSearch.Click
        Response.Write(Page.IsValid)
        Dim queryStr As String = HttpUtility.UrlEncode(txtSearch.Text)
        Response.Redirect("http://www.google.com/search?q=" & queryStr)
    End Sub

    Private _selectedDate As ISelectedDate

    <ConnectionConsumer("SelectedDate", "SelectedDate")> _
    Sub setSearchText(ByVal SearchText As ISelectedDate)
        Me._selectedDate = SearchText
    End Sub

    Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
        If _selectedDate IsNot Nothing Then
            txtSearch.Text = _selectedDate.SelectedDate.ToShortDateString
        End If
    End Sub

    ''==Gets or sets the title of a WebPart control==
    'Public Property Title() As String _
    '       Implements IWebPart.Title
    '    Get
    '        Dim obj As Object = ViewState("Title")
    '        If (obj Is Nothing) Then
    '            Return String.Empty
    '        End If
    '        Return obj.ToString
    '    End Get
    '    Set(ByVal value As String)
    '        ViewState("Title") = value
    '    End Set
    'End Property

    ''==Gets a string that is concatenated with the Title 
    ''==property value to form a complete title for a 
    ''==WebPart control==
    'Public ReadOnly Property Subtitle() As String _
    '                Implements IWebPart.Subtitle
    '    Get
    '        Dim obj As Object = ViewState("Subtitle")
    '        If (obj Is Nothing) Then
    '            Return String.Empty
    '        End If
    '        Return obj.ToString
    '    End Get
    'End Property

    ''==Gets or sets a brief phrase that summarizes what a 
    ''==control does, for use in ToolTips and catalogs of 
    ''==WebPart controls==
    'Public Property Description() As String _
    '                Implements IWebPart.Description
    '    Get
    '        Dim obj As Object = ViewState("Description")
    '        If (obj Is Nothing) Then
    '            Return String.Empty
    '        End If
    '        Return obj.ToString
    '    End Get
    '    Set(ByVal value As String)
    '        ViewState("Description") = value
    '    End Set
    'End Property

    ''==Gets or sets the URL to an image used to represent
    ''==a Web Parts control in the control's own title bar==
    'Public Property TitleIconImageUrl() As String _
    '                Implements IWebPart.TitleIconImageUrl
    '    Get
    '        Dim obj As Object = ViewState("TitleIconImageUrl")
    '        If (obj Is Nothing) Then
    '            Return String.Empty
    '        End If
    '        Return obj.ToString
    '    End Get
    '    Set(ByVal value As String)
    '        ViewState("TitleIconImageUrl") = value
    '    End Set
    'End Property

    ''==Gets or sets a URL to supplemental information about
    ''==a WebPart control==
    'Public Property TitleUrl() As String _
    '       Implements IWebPart.TitleUrl
    '    Get
    '        Dim obj As Object = ViewState("TitleUrl")
    '        If (obj Is Nothing) Then
    '            Return String.Empty
    '        End If
    '        Return obj.ToString
    '    End Get
    '    Set(ByVal value As String)
    '        ViewState("TitleUrl") = value
    '    End Set
    'End Property
    ''==Gets or sets the URL to an image that represents a 
    ''==WebPart control in a catalog of controls==
    'Public Property CatalogIconImageUrl() As String _
    '                Implements IWebPart.CatalogIconImageUrl
    '    Get
    '        Dim obj As Object = ViewState("CatalogIconImageUrl")
    '        If (obj Is Nothing) Then
    '            Return String.Empty
    '        End If
    '        Return obj.ToString
    '    End Get
    '    Set(ByVal value As String)
    '        ViewState("CatalogIconImageUrl") = value
    '    End Set
    'End Property
End Class
