<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="Default_aspx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource1" DataTextField="state" DataValueField="state" AutoPostBack="True">
        </asp:DropDownList><br />
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" SelectCommand="SELECT DISTINCT [state] FROM [authors]"
            ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"></asp:SqlDataSource>
        <asp:DetailsView ID="DetailsView1" runat="server" DataSourceID="SqlDataSource2" DataKeyNames="au_id"
            ForeColor="Black" GridLines="Vertical" CellPadding="4" BackColor="White" BorderWidth="1px"
            BorderColor="#DEDFDE" AllowPaging="True" Height="50px" Width="288px" AutoGenerateRows="False"
            BorderStyle="None">
            <FooterStyle BackColor="#CCCC99" />
            <RowStyle BackColor="#F7F7DE" />
            <PagerStyle ForeColor="Black" HorizontalAlign="Right" BackColor="#F7F7DE" />
            <Fields>
                <asp:BoundField ReadOnly="True" HeaderText="au_id" DataField="au_id" SortExpression="au_id">
                </asp:BoundField>
                <asp:BoundField HeaderText="au_lname" DataField="au_lname" SortExpression="au_lname">
                </asp:BoundField>
                <asp:BoundField HeaderText="au_fname" DataField="au_fname" SortExpression="au_fname">
                </asp:BoundField>
                <asp:BoundField HeaderText="phone" DataField="phone" SortExpression="phone"></asp:BoundField>
                <asp:BoundField HeaderText="address" DataField="address" SortExpression="address"></asp:BoundField>
                <asp:BoundField HeaderText="city" DataField="city" SortExpression="city"></asp:BoundField>
                <asp:BoundField HeaderText="state" DataField="state" SortExpression="state"></asp:BoundField>
                <asp:BoundField HeaderText="zip" DataField="zip" SortExpression="zip"></asp:BoundField>
                <asp:CheckBoxField HeaderText="contract" SortExpression="contract" DataField="contract">
                </asp:CheckBoxField>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowInsertButton="True">
                </asp:CommandField>
            </Fields>
            <HeaderStyle ForeColor="White" Font-Bold="True" BackColor="#6B696B" />
            <EditRowStyle ForeColor="White" Font-Bold="True" BackColor="#CE5D5A" />
            <AlternatingRowStyle BackColor="White" />
        </asp:DetailsView>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" SelectCommand="SELECT * FROM [authors]"
            ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>" DeleteCommand="DELETE FROM [authors] WHERE [au_id] = @original_au_id AND [au_lname] = @original_au_lname AND [au_fname] = @original_au_fname AND [phone] = @original_phone AND [address] = @original_address AND [city] = @original_city AND [state] = @original_state AND [zip] = @original_zip AND [contract] = @original_contract"
            InsertCommand="INSERT INTO [authors] ([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract]) VALUES (@au_id, @au_lname, @au_fname, @phone, @address, @city, @state, @zip, @contract)"
            UpdateCommand="UPDATE [authors] SET [au_lname] = @au_lname, [au_fname] = @au_fname, [phone] = @phone, [address] = @address, [city] = @city, [state] = @state, [zip] = @zip, [contract] = @contract WHERE [au_id] = @original_au_id AND [au_lname] = @original_au_lname AND [au_fname] = @original_au_fname AND [phone] = @original_phone AND [address] = @original_address AND [city] = @original_city AND [state] = @original_state AND [zip] = @original_zip AND [contract] = @original_contract" ConflictDetection="CompareAllValues" OldValuesParameterFormatString="original_{0}">
            <DeleteParameters>
                <asp:Parameter Name="original_au_id" Type="String" />
                <asp:Parameter Name="original_au_lname" Type="String" />
                <asp:Parameter Name="original_au_fname" Type="String" />
                <asp:Parameter Name="original_phone" Type="String" />
                <asp:Parameter Name="original_address" Type="String" />
                <asp:Parameter Name="original_city" Type="String" />
                <asp:Parameter Name="original_state" Type="String" />
                <asp:Parameter Name="original_zip" Type="String" />
                <asp:Parameter Name="original_contract" Type="Boolean" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="au_lname" Type="String" />
                <asp:Parameter Name="au_fname" Type="String" />
                <asp:Parameter Name="phone" Type="String" />
                <asp:Parameter Name="address" Type="String" />
                <asp:Parameter Name="city" Type="String" />
                <asp:Parameter Name="state" Type="String" />
                <asp:Parameter Name="zip" Type="String" />
                <asp:Parameter Name="contract" Type="Boolean" />
                <asp:Parameter Name="original_au_id" Type="String" />
                <asp:Parameter Name="original_au_lname" Type="String" />
                <asp:Parameter Name="original_au_fname" Type="String" />
                <asp:Parameter Name="original_phone" Type="String" />
                <asp:Parameter Name="original_address" Type="String" />
                <asp:Parameter Name="original_city" Type="String" />
                <asp:Parameter Name="original_state" Type="String" />
                <asp:Parameter Name="original_zip" Type="String" />
                <asp:Parameter Name="original_contract" Type="Boolean" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="au_id" Type="String" />
                <asp:Parameter Name="au_lname" Type="String" />
                <asp:Parameter Name="au_fname" Type="String" />
                <asp:Parameter Name="phone" Type="String" />
                <asp:Parameter Name="address" Type="String" />
                <asp:Parameter Name="city" Type="String" />
                <asp:Parameter Name="state" Type="String" />
                <asp:Parameter Name="zip" Type="String" />
                <asp:Parameter Name="contract" Type="Boolean" />
            </InsertParameters>
        </asp:SqlDataSource>
        <br />
        <asp:GridView ID="GridView1" runat="server" DataSourceID="SqlDataSource2" AutoGenerateColumns="False"
            DataKeyNames="au_id" ForeColor="Black" GridLines="None" CellPadding="2" BackColor="LightGoldenrodYellow"
            BorderWidth="1px" BorderColor="Tan" AllowPaging="True" AllowSorting="True" PageSize="2" CaptionAlign="Top" EnableSortingAndPagingCallbacks="True">
            <FooterStyle BackColor="Tan" />
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True">
                </asp:CommandField>
                <asp:BoundField ReadOnly="True" HeaderText="au_id" DataField="au_id" SortExpression="au_id">
                </asp:BoundField>
                <asp:BoundField HeaderText="au_lname" DataField="au_lname" SortExpression="au_lname">
                </asp:BoundField>
                <asp:BoundField HeaderText="au_fname" DataField="au_fname" SortExpression="au_fname">
                </asp:BoundField>
                <asp:BoundField HeaderText="phone" DataField="phone" SortExpression="phone"></asp:BoundField>
                <asp:BoundField HeaderText="address" DataField="address" SortExpression="address"></asp:BoundField>
                <asp:BoundField HeaderText="city" DataField="city" SortExpression="city"></asp:BoundField>
                <asp:BoundField HeaderText="state" DataField="state" SortExpression="state"></asp:BoundField>
                <asp:BoundField HeaderText="zip" DataField="zip" SortExpression="zip"></asp:BoundField>
                <asp:CheckBoxField HeaderText="contract" SortExpression="contract" DataField="contract">
                </asp:CheckBoxField>
            </Columns>
            <PagerStyle ForeColor="DarkSlateBlue" HorizontalAlign="Center" BackColor="PaleGoldenrod" />
                <SelectedRowStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue" />
            <HeaderStyle Font-Bold="True" BackColor="Tan" />
            <EditRowStyle Font-Italic="False" Font-Bold="False" />
            <AlternatingRowStyle BackColor="PaleGoldenrod" />
        </asp:GridView>
        <br />
        <br />
        <br />
    
    </div>
    </form>
</body>
</html>
